Incidencia #40317

Install error

Abrir Fecha: 2020-04-11 17:31 Última actualización: 2021-04-16 08:20

Informador:
Propietario:
(Ninguno)
Tipo:
Estado:
Cerrado
Componente:
Hito:
(Ninguno)
Prioridad:
1 - Lowest
Gravedad:
1 - Lowest
Resolución:
Won't Fix
Fichero:
1
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

Hello. I get an error while trying to install. The error can be seen in the attached screenshot. https://s8.hostingkartinok.com/uploads/images/2020/04/62a8767b18fb14095e5af632bd09b3dd.jpg

Ticket History (3/12 Histories)

2020-04-11 17:31 Updated by: okolo
  • New Ticket "Install error" created
2020-04-11 20:41 Updated by: keith
  • Prioridad Update from 9 - Highest to 1 - Lowest
  • Gravedad Update from 9 - Highest to 1 - Lowest
  • Resolución Update from Ninguno to Invalid
Comentario

From the instructions, on the new ticket submission form:

Fields to be Updated ONLY by an Approved MinGW Developer
* Priority (This means nothing to you and could irritate admins if not left at default value)

You ignored this, so you did irritate me ... I demoted your ticket priority, below the median, by the number of levels by which you tried to escalate it!

The error can be seen in the attached screenshot...

That's an offsite reference, which invalidates your ticket. You need to either paste the diagnostic message into the ticket description (preferred), or attach your screenshot directly to the ticket.

2020-04-11 20:57 Updated by: okolo
Comentario

Excuse me please, I have attached a screenshot to the message.

2020-04-11 21:50 Updated by: keith
Comentario

Reply To okolo

Excuse me please, I have attached a screenshot to the message.

Thanks.

It appears that you are still using WinXP, (which is becoming increasingly difficult to support), but what version of mingw-get are you using? (Help --> About should show you, if you don't know).

Error 12157 is an HTTPS security issue, which does tend to arise with WinXP, particularly when downloading from SF, (and especially when using any version of mingw-get which predates v0.6.3). If all else fails, you may need to resolve the failure by manual download, and storing the missing gdb-7.6.1-1-mingw32-bin.tar.lzma into your $MINGW_ROOT/var/cache/mingw-get/packages directory, (where $MINGW_ROOT represents the name of the root directory of your MinGW installation — the default is C:/MinGW, but you will need to supply the correct name for your own installation).

BTW, we prefer you to paste diagnostic messages directly into your ticket description, or a follow-up comment, because, when you attach JPG screenshots, we cannot copy and paste text from them. Make it easier for us to help you, and we will be more inclined to do so.

2020-04-11 22:16 Updated by: okolo
Comentario

I looked at the file version in the context menu by right-clicking on the file. It is written there 0.603.24357.1. Windows XP 32 bits Home.

2020-04-11 22:29 Updated by: okolo
Comentario

When starting the installer, the version is written at the top of the window 0.6.3-pre-20170905-1. This version is also written in the menu about the program.

(Edited, 2020-04-11 22:33 Updated by: okolo)
2020-04-12 17:48 Updated by: okolo
Comentario

Hello. Absolutely nothing is downloaded from the MSYS kit.

Besides gdb-7.6.1-1-mingw32-bin.tar.lzma for yesterday I needed the make-3.82.90-2-mingw32-cvs-20120902-bin.tar.lzma

2020-04-13 13:58 Updated by: okolo
Comentario

Hello. Could you give me all the files needed to install the MSYS, packed in one archive? Because it’s very difficult to search and download one at a time.

2021-04-16 06:09 Updated by: keith
  • Estado Update from Open to Cerrado
  • Resolución Update from Invalid to Won't Fix
Comentario

I'm closing this, as a "won't fix". While I would like to continue to support WinXP, the reality is that it is now seven years since it passed its official end-of-life. In that seven years, internet technologies have moved on, and it is becoming increasingly difficult to provide adequate continuing support. The MinGW installer, "mingw-get", relies on Microsoft's WININET.DLL, to provide download services; sadly, the WinXP version of WININET.DLL is no longer compatible with contemporary internet technologies. In particular, downloads from SourceForge must now be performed over HTTPS, and WinXP's WININET.DLL cannot handle the increased security.

As for me providing an integrated download of all MSYS packages, that is not going to happen; it is no easier for me to produce such a package, than it is for you to do so yourself. You can use mingw-get --print-uris install ..., from the command line, to generate a list of all package files to be downloaded, to resolve the dependencies of any package named following the install action keyword. You can then download all identified packages, storing them into your $MINGW_ROOT/var/cache/mingw-get/packages directory; (hint: "Internet Explorer" probably will not work, but "Firefox-52.9-ESR" should; alternatively, Eli Zaretskii's wget-1.16 ezwinport should get the job done, from the command line, (although you may need to invoke it with the --no-check-certificate option).

2021-04-16 08:14 Updated by: okolo
Comentario
(This comment has been deleted)
2021-04-16 08:20 Updated by: okolo
Comentario

Thanks for the information. Which version to install in Windows 10?

(Edited, 2021-04-16 08:21 Updated by: okolo)

Attachment File List

Editar

Please login to add comment to this ticket » Entrar